"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ts_morph_1 = require("ts-morph");
var visitor_1 = require("./visitor");
var tsConfigFile = '../../../ts-morph/packages/ts-morph/tsconfig.json';
if (process.argv.length >= 3) {
    tsConfigFile = process.argv[2];
}
console.log("Parsing project");
var project = new ts_morph_1.Project({
    tsConfigFilePath: tsConfigFile
});
var sources = project.getSourceFiles();
console.log(sources.length);
for (var _i = 0, sources_1 = sources; _i < sources_1.length; _i++) {
    var src = sources_1[_i];
    console.log(src.getFilePath());
}
try {
    var root = (0, visitor_1.visitSourceFiles)(project.getLanguageService(), tsConfigFile, sources);
    console.log(JSON.stringify(root.toJson()));
}
catch (e) {
    console.error(e);
}
//# sourceMappingURL=index.js.map